DRM_MM_INIT_SCAN(9)

NAME
drm_mm_init_scan - initialize lru scanning

SYNOPSIS

void drm_mm_init_scan(struct drm_mm * mm, unsigned long size, unsigned alignment, unsigned long color);

ARGUMENTS

mm
    drm_mm to scan

size
    size of the allocation

alignment
    alignment of the allocation

color
    opaque tag value to use for the allocation

DESCRIPTION

This simply sets up the scanning routines with the parameters for the desired hole. Note that there's no need to specify allocation flags, since they only change the place a node is allocated from within a suitable hole.

WARNING

As long as the scan list is non-empty, no other operations than adding/removing nodes to/from the scan list are allowed.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT